# Custom Object Records

With Custom Objects service, you can create, update, delete and find custom object records.
If you use Postman, you can import the custom objects endpoints as a collection into your Postman app and try out different requests to learn how the API works.
You can sign up for a free account on the [Postman website](https://identity.getpostman.com/signup) and download the app in case you do not use Postman yet.
Note that the Custom Object Records API is versioned by `Zuora-Version` in the request header. The response may be different for the same request with a different API version. Specify `Zuora-Version` in the request header if you expect a specific response schema.

 - [Error handling](https://developer.zuora.com/v1-api-reference/api/custom-object-records/error-handling.md): ### Error handling If the Custom Objects API call fails, an error code will be returned in the response body. See Custom Objects API error code for details.
 - [POST /objects/records/default/{object}](https://developer.zuora.com/v1-api-reference/api/custom-object-records/post_customobjectrecords.md): Creates custom object records with the given type. Upon creating records of a custom object type, the 200 response contains a list of records that have been successfully processed and stored. ### Limi
 - [GET /objects/records/default/{object}](https://developer.zuora.com/v1-api-reference/api/custom-object-records/get_allrecordsforcustomobjecttype.md): Lists all object records of the given type. You can also use the `q` query parameter to filter the output records. ### Custom Objects read consistency Custom Objects support eventually consistency. Wh
 - [GET /objects/records/default/{object}/{id}](https://developer.zuora.com/v1-api-reference/api/custom-object-records/get_customobjectrecordbyid.md): Retrieves a record of a given type by ID.
 - [PUT /objects/records/default/{object}/{id}](https://developer.zuora.com/v1-api-reference/api/custom-object-records/put_customobjectrecord.md): Updates a record of the given type and ID. ### Limitations * The storage of empty strings in records is not supported. * Null values must be formatted as the following example: ``` { "records": [
 - [PATCH /objects/records/default/{object}/{id}](https://developer.zuora.com/v1-api-reference/api/custom-object-records/patch_partialupdatecustomobjectrecord.md): Updates one or many fields of a custom object record. Patch update uses JSON Merge Patch as specified in [RFC 7386](https://tools.ietf.org/html/rfc7386). ### Limitations * The storage of empty strings
 - [DELETE /objects/records/default/{object}/{id}](https://developer.zuora.com/v1-api-reference/api/custom-object-records/delete_customobjectrecordbyid.md): Deletes a custom object record of the given type and ID. Note that 200 response will be returned under either of the following conditions: * The record is identified and successfully deleted * The rec
 - [POST /objects/batch/default/{object}](https://developer.zuora.com/v1-api-reference/api/custom-object-records/post_customobjectrecordsbatchupdateordelete.md): Makes a batch update or delete of custom object records. ### Limitations This call has the following limitations: * The maximum number of records that you can update by one call is 1,000. * The maximu
